unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    ListBox1: TListBox;
    ScrollBox1: TScrollBox;
    procedure FormShow(Sender: TObject);
  private
    procedure ImageClickHandler(Sender: TObject);

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
var
  img: TImage;
  i: Integer;
begin
  for i := 0 to 5 do begin
    img := TImage.Create(self);
    img.Parent := Scrollbox1;
    img.Name := 'Image' + IntToStr(i+1);
    img.Top := (img.Height + 8) * i;
    img.Left := i*16;   // just to make the images different
    img.Proportional := true;
    img.Picture.LoadFromFile('C:\lazarus-trunk_fpc304\images\splash_source\paw.png');  // adjust file name !!!
    img.OnClick := @ImageClickHandler;
  end;
end;

procedure TForm1.ImageClickHandler(Sender: TObject);
begin
  ShowMessage((Sender as TImage).Name + ' clicked');
end;

end.

